<mat-card class="example-card">
    <mat-card-header>
      <div mat-card-avatar class="example-header-image"></div>
      <mat-card-title>{{activity.activityName}}</mat-card-title>
      <mat-card-subtitle>Activity ID : {{activity.id}}</mat-card-subtitle>
    </mat-card-header>
    <img mat-card-image src="https://cdn.britannica.com/92/181292-050-3B4EA159/Prayuth-Chan-ocha-Thai.jpg" alt="Prayuth">
    <mat-card-content>
      <p>Description : {{activity.activityDescription}}</p>
      <p>Date : {{activity.ActivityDate}}</p>
      <p>Host Teacher : {{activity.hostTeacher}}</p>
      <p>Location : {{activity.activityLocation}}</p>
      <p>Registration Time : {{activity.periodRegistration}}</p>
      <p>Time : {{activity.activityTime}}</p>
    </mat-card-content>
    <mat-card-actions>
      <button mat-raised-button color="warn" [routerLink]="['/student/activity']">Back</button>
      <button mat-raised-button color="primary" (click)="Enroll(activity)" [routerLink]="['./enrolled']">Enroll</button>
    </mat-card-actions>
  </mat-card>
  

  